Name:           pdfsam
License:        GPL2
Group:          Application/Graphics
Version:        2.2.1e
Release:        %mkrel 2
Summary:        PDF split and merge
Source0:        pdfsam-%{version}-out-src.zip
Source1:	icepdfcreator-0.0.7-build-out.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:	noarch
BuildRequires:  ant unzip
BuildRequires:  update-alternatives
BuildRequires:  java-1.6.0-openjdk-devel
BuildRequires:	xml-commons-jaxp-1.3-apis
BuildRequires: 	crimson log4j dom4j
BuildRequires:  itext jaxen jgoodies-looks


%description
A Java based PDF merge and split tool

%prep
%setup -c %{name}-%{version}
for FILE in *.zip; do
   unzip -o $FILE
done

%build
ANTOPTIONS="-Dlibs.dir=$PWD/libraries-2/ 			\
	    -Dpdfsam.release.jar.dir=$PWD/libraries-2/ 		\
	    -Dworkspace.dir=$PWD				\
	    -Dpdfsam-console.jar.name=pdfsam-console-2.3.1e	\
	    -Djpod.libs.dir=$PWD/libraries-jPodRenderer/	\
	    -Dpdfsam.jar.name=pdfsam-%{version}"

# Others
for DIR in \
	emp4j			\
	jcmdline		\
	pdfsam-console		\
	pdfsam-maine		\
	pdfsam-split		\
	pdfsam-merge		\
	pdfsam-mix		\
	pdfsam-decrypt		\
	pdfsam-encrypt		\
	pdfsam-rotate		\
	pdfsam-docinfo		\
	pdfsam-unpack		\
	pdfsam-vcomposer	\
	pdfsam-vpagereorder	\
	pdfsam-setviewer	\
	pdfsam-cover		\
	jpodrenderercreator
do
cd $DIR/ant
ant $ANTOPTIONS -Dbuild.dir="$PWD/.."
find ../$DIR/dist/ -name "*.jar" -exec cp {} $PWD/libraries-2 \;
cd -
done

%install
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}

cat << EOF > $RPM_BUILD_ROOT%{_bindir}/pdfsam
#!/bin/bash
cd %{_datadir}/%{name}
java -jar %{_datadir}/%{name}/pdfsam.jar
EOF

chmod 755 $RPM_BUILD_ROOT%{_bindir}/pdfsam
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
install -m 644 libraries-2/*.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/lib

mv $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/pdfsam-%{version}.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/
ln -s pdfsam-%{version}.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/pdfsam.jar

rm template-enhanced-2/*.exe
cp -r template-enhanced-2/* $RPM_BUILD_ROOT%{_datadir}/%{name}

# icepdfcreator
unzip -o %{SOURCE1} -d $RPM_BUILD_ROOT%{_datadir}/%{name}/ext

# jPodRenderer
cp libraries-jPodRenderer/*.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/ext
mv $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/jpodcreator-0.0.1.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/ext

# Plug-Ins
for PLUGIN in mix cover merge split encrypt decrypt rotate docinfo unpack vcomposer vpagereorder setviewer; do
  mv $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/pdfsam-$PLUGIN-*.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins/$PLUGIN
done

### MENU ITEM ###
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp pdfsam-launcher/*.ico $RPM_BUILD_ROOT%{_datadir}/pixmaps

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=PDFSam
Comment=%{summary}
Exec=%{_bindir}/%{name}
Icon=%{_datadir}/pixmaps/%{name}_basic.ico
Terminal=false
Type=Application
StartupNotify=true
Categories=Office;Java;Viewer;TextTools
EOF

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications
%{_datadir}/pixmaps

%changelog
* Thu Nov 25 2010 Maurizio Dal Magro <mauriziodm@mandrivaclub.be>
- Update to 2.2.1
- Added icepdfcreator-0.0.7

* Tue Oct 26 2010 Maurizio Dal Magro <mauriziodm@mandrivaclub.be>
- Minor BuildRequires added

* Fri Oct 23 2010 Maurizio Dal Magro <mauriziodm@mandrivaclub.be>
- New version 2.2.0 for Mandriva 2010.1




